﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DataGridExecutionList.Model;
using System.Collections.ObjectModel;

namespace DataGridExecutionList.Data
{
    public class Database
    {
        #region Properties
        /// <summary>
        ///  Similute a database of commands
        /// </summary>
        public static ObservableCollection<Command> Commands
        {
            get
            {
                if (_Commands == null)
                {
                    _Commands = new ObservableCollection<Command>();
                    for (int i = 0; i < 40; i++)
                    {
                        Commands.Add(new Command()
                        {
                            Name = "Ping " + i,
                            Executable = "ping.exe",
                            Parameters = "-n 3 localhost",
                            State = Command.ExecutionState.Incomplete
                        });
                    }
                }
                return _Commands;
            }
            set { _Commands = value; }
        } private static ObservableCollection<Command> _Commands;

        public static int CurrentCommand { get; set; }
        #endregion
    }
}
